
typedef struct tagMAPDATA
{
	VECTOR		*pPos;
	TextureType	*pSpr;
	TextureType *pBackG, *pFrame, *pLight, *pBlob, *pGrScale, *pRotateything, *pArrow, *pHut;
	SfxSampleType *sample, *sample2;

	int		*pDir;

	int		levelXMin, levelXMax, levelXSize;
	int		levelYMin, levelYMax, levelYSize;

	int		characterXOffset;
	int		characterYOffset;

	short	spriteMinX, spriteMaxX;
	short	spriteMinY, spriteMaxY;
}MAPDATA;


#define MAPTYPE_SCENIC_ONLY	(-1)
#define MAPTYPE_NO_MAP		(-2)

extern MAPDATA mapData;

// CPW: 2800
// CPW: 4096

int mapInitialise(void);
int mapDrawSprite(void);
void mapSetRot(int *);
void mapSetPos(VECTOR *);
//void mapGetSizeOfWorld(FMA_WORLD2 *);

